# base-in-front-end
管理后台基础框架

# 目录结构
```
_screenshot             截图指南
public                  静态文件（不会编译打包）
src
    -|  api             接口类（根据服务端接口文档/Swagger-ui）
    -|  assets          静态文件（编译打包）
    -|  components      业务封装的组件
    -|  constants       静态常量
    -|  filters         过滤器（Vue Filter）
    -|  plugins         插件（第三方的依赖、给main.js文件解耦）
    -|  router          路由配置（Vue-Router）
    -|  utils           工具类（JS常用方法封装）
    -|  views           视图页面
    -|  App.vue
    -|  main.js
```

# 知识准备
## Vue（Vue、Vue-Router、Vuex、axios）
## Element-ui

# vue
A Vue.js project
- VueCli + Vue2.* + Axios + Element-UI
- 效果图
![](/_screenshot/WX20200225-144536.png)

# 命令
```
# Project setup
npm install

# Compiles and hot-reloads for development
npm run serve

# Compiles and minifies for production
npm run build

# Lints and fixes files
npm run lint
```
